---
lang: en
title: 'API docs: rest.getparseroptions_2'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.getparseroptions_2.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [getParserOptions](./rest.getparseroptions_2.md)

## getParserOptions() function

<b>Signature:</b>

```typescript
export declare function getParserOptions(type: 'text', options: RequestBodyParserOptions): OptionsText;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | 'text' |  |
|  options | [RequestBodyParserOptions](./rest.requestbodyparseroptions.md) |  |

<b>Returns:</b>

OptionsText


